"Execution could not continue" - Your ZDoom may be too old!

Tue May 15, 2012 4:29 pm

There's a lot of cool stuff in our project forum. Sometimes, though, you can't get it to work on the first try. The most common problem is a kind of weird-sounding error: "Execution could not continue." There may be something about script errors.

Most folks don't release mods that don't run, so the problem is usually just that you have a version of GZDoom that doesn't know what the mod is telling it to do. The solution is easy: Get the latest one from the downloads page. Here's a link.

Note: Since the parent project (ZDoom) was officially discontinued, one of the changes to the project's approach was to make full releases more often. You can still find development builds on the DRD Team page, but we do not recommend using these for making or playing mods any more. Please remember that these builds are not as well tested as the releases versions on the main download area.

Still having problems getting a mod to work? If the project thread doesn't give you any leads, you can try the technical issues forum. If you find something you're really sure is a problem with GZDoom itself, head on over to the bugs forum.

As always, happy ZDooming!
Last edited by NeuralStunner on Sun Jun 17, 2018 11:06 am, edited 3 times in total.

Re: Mod won't run? Here's help!

Tue May 15, 2012 5:10 pm

If you want to know what new features exactly necessitate that these pesky modders keep using development versions instead of the latest official builds, look no further than here.

If you want to know if your saves will be broken, look here.

Re: Mod won't run? Here's help!

Tue May 15, 2012 5:21 pm

This oughta be stickied. Wait, it already is.
Its becoming more and more apparent lately that people either shy away from SVN builds "because its beta software" or really didn't know about SVN builds to begin with.

Re: Mod won't run? Here's help!

Tue May 15, 2012 5:44 pm

Both of which this is an attempt to remedy. :yup:

Also, thanks Gez!

Re: Mod won't run? Here's help!

Thu Jul 04, 2013 6:49 pm

How the hell do you start Russian Overkill?

Re: Mod won't run? Here's help!

Fri Jul 05, 2013 12:14 am

armyman12345 wrote:How the hell do you start Russian Overkill?


I just drag it onto GZDoom, that seems to work.

Re: Mod won't run? Here's help!

Fri Jul 05, 2013 2:47 pm

Sgt. Shivers wrote:
armyman12345 wrote:How the hell do you start Russian Overkill?


I just drag it onto GZDoom, that seems to work.


When i drag it to gzdoom, it say's a very fatal error has ocurred.

Re: Mod won't run? Here's help!

Fri Jul 05, 2013 3:46 pm

Try again with the latest build.

With the advent of Git, its a little more difficult to determine exactly which version a mod is built around, since there's no simple version number like with SVN, so the best bet is to just find the latest version.

Re: Mod won't run? Here's help!

Mon Aug 05, 2013 8:59 am

Guys i need some help, im trying to run kdizd_11.pk3 with both zdoom and gzdoom latest version and i keep getting this...

Script error, "kdizd_11.pk3:decorate/decorations.txt" line 996:
SC_GetFloat: Bad numeric constant "0.4ยด".

plz some help?

Re: Mod won't run? Here's help!

Mon Aug 05, 2013 9:00 am

That's a known issue with KDIZD; they just uploaded a 1.2 version to /idgames that fixes the typo and allows the mod to run again.

Re: Mod won't run? Here's help!

Mon Aug 05, 2013 9:07 am

wildweasel wrote:That's a known issue with KDIZD; they just uploaded a 1.2 version to /idgames that fixes the typo and allows the mod to run again.


Thanks Weasel!! looking for it now ;) and downloading

Re: Mod won't run? Here's help!

Tue Aug 27, 2013 10:13 am

Could use some help.

Whenever I run a mod that requires Doom2.wad to run I get this:

W_GetNumForName: PLAYPAL not found!

What is this, and what does it mean? I can't play any of my wads until I figure this out. If this is in the wrong section or has already been answered, please direct me towards it.

Re: Mod won't run? Here's help!

Tue Aug 27, 2013 11:10 am

You don't have a palette.

Normally, there is one in doom2.wad. So if you get this message, it means your doom2.wad file is corrupted somehow.

Re: Mod won't run? Here's help!

Tue Aug 27, 2013 12:17 pm

Gez wrote:You don't have a palette.

Normally, there is one in doom2.wad. So if you get this message, it means your doom2.wad file is corrupted somehow.

I've tried reinstalling it a few times. So, is my disk broken as well? Should I try buying it off Steam?

Re: Mod won't run? Here's help!

Tue Aug 27, 2013 12:25 pm

ISomtimePlayGames wrote:Whenever I run a mod that requires Doom2.wad to run I get this:
Does this mean it happens with ALL mods?
  • If you've only tried a few mods, which ones?
  • Can you run Doom 2 without any mods?
  • Do you have any autoloaded files? If so, try disabling them.
  • Have you tried removing your config file and starting a new one?

Sorry for the interrogation, I'm trying to exhaust other options before "spend money".
Last edited by NeuralStunner on Tue Aug 27, 2013 12:28 pm, edited 1 time in total.